Multibanco for Payment Setup API
Last updated: April 30, 2026
To accept Multibanco payments, you must:
- Create a payment setup.
- Confirm the payment.
- Redirect the customer to Multibanco.
Call the Create a payment setup endpoint.
Information
Your base URL's {prefix} value is unique to your account and environment. To learn how to retrieve your base URLs for the sandbox and production environments, see API endpoints.
post
https://{prefix}.api.checkout.com/payments/setups
1{2"amount": 1000,3"currency": "EUR",4"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",5"reference": "ORDER_01234",6"customer": {7"country": "PT"8},9"payment_methods": {10"multibanco": {11"account_holder_name": "Hannah Bret"12}13},14"settings": {15"success_url": "https://example.com/payments/success",16"failure_url": "https://example.com/payments/failure"17}18}
In the request body, provide the following:
| Field | Description |
|---|---|
number | The payment amount, in the minor currency unit. |
string | Three-letter ISO 4217 currency code. Must be |
string | The two-letter ISO 3166 country code of the customer. Must be |
string | Account holder name (3–100 characters). |
string | The processing channel's unique identifier. |
object | Settings for the payment setup. |
string | The URL to redirect the customer to if the payment fails. |
string | The URL to redirect the customer to after a successful payment. |
object | The customer's billing details. |
string | The two-letter ISO 3166 country code of the billing address. |
string | A description of the payment. |
string | The two-letter ISO 3166 country code of the shipping address. |
string | A reference you can use to identify the payment. For example, an order number. |
1{2"id": "set_rcmepwrchqab2wsergcafvijfy",3"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",4"amount": 1000,5"currency": "EUR",6"payment_type": "Regular",7"reference": "ORDER_01234",8"description": "Multibanco payment",9"payment_methods": {10"multibanco": {11"status": "ready",12"flags": []13}14},15"available_payment_methods": [16"multibanco"17],18"settings": {19"success_url": "https://example.com/payments/success",20"failure_url": "https://example.com/payments/failure"21}22}
The response returns a payment_methods object, which contains the payment methods enabled on your account.
Providing all required fields sets the payment_methods.multibanco object to a ready status.
Confirm the payment by calling the Confirm a payment setup endpoint and provide:
- The payment setup
idas the{id}path parameter. multibancoas the{payment_method_name}path parameter.
post
https://{prefix}.api.checkout.com/payments/setups/{id}/confirm/multibanco
If you receive a 202 Success response with a payment id and a status field set to Pending, your request was successful.
1{2"id": "pay_cdv64cky2neeljlss37yjpofzu",3"status": "Pending",4"customer": {5"id": "cus_ezuq5ju3ln4udgaz6joebp3p44"6},7"_links": {8"self": {9"href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_cdv64cky2neeljlss37yjpofzu"10},11"redirect": {12"href": "https://r.girogate.de/ti/simmultibanco?tx=512308296&rs=y5XBJFK6UF0R7gcn4lcQlbtc5wD2ppQ1&cs=058d2f4cecebaf97933ac9fb465a517ab84395eca459900105526a823460a90a"13}14}15}
Redirect the customer to the redirect link's href from the response. The customer completes the payment on the Multibanco page and is then redirected back to your settings.success_url or settings.failure_url.